Bug 1787302 - please migrate to the new Fedora translation platform
Summary: please migrate to the new Fedora translation platform
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: hivex
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-02 09:57 UTC by jibecfed
Modified: 2020-09-06 07:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-06 07:41:39 UTC


Attachments (Terms of Use)

Description jibecfed 2020-01-02 09:57:24 UTC
Hello, the Fedora project migrates its translation platform to Weblate [1].

This tool directly interact with your git repository, and requires us to know:

* [mandatory] which branch is your development branch?
* [mandatory] have you merged latest translation from Zanata and locked the project?
* [info] Weblate will handle updates when pot file changes, don't edit po files for this [2]
* [optional] what is the license of translation? (please use a code from https://spdx.org/licenses/)
* [optional] do you have any announcement/warning you would like to display to the translators? (it will be displayed in Weblate)
* [optional] do you need us to activate any specific checks? (this is a setting per component [3])
* [optional] do you need us to automatically detect new translation files? (typical usecase: website translation with one translation file per page)

Please note:

* For github and gitlab hosted projects, Weblate open pull request. For other git hosting, you'll have to add a key to allow commits.
* In Weblate's vocable, one project is a group of component. Each component is a translation file. You can have many projects or many components or both.
* You can change your mind over time, just reach trans@lists.fedoraproject.org

[1] https://communityblog.fedoraproject.org/fedora-localization-platform-migrates-to-weblate/ 
[2] https://docs.weblate.org/en/latest/admin/continuous.html#avoiding-merge-conflicts
[3] https://docs.weblate.org/en/latest/user/checks.html#translation-checks

Comment 1 Richard W.M. Jones 2020-03-02 20:18:09 UTC
(In reply to jibecfed from comment #0)
> Hello, the Fedora project migrates its translation platform to Weblate [1].
> 
> This tool directly interact with your git repository, and requires us to
> know:
> 
> * [mandatory] which branch is your development branch?

master

> * [mandatory] have you merged latest translation from Zanata and locked the
> project?

no & no

> * [info] Weblate will handle updates when pot file changes, don't edit po
> files for this [2]
> * [optional] what is the license of translation? (please use a code from
> https://spdx.org/licenses/)

 LGPL-2.1-or-later

> * [optional] do you have any announcement/warning you would like to display
> to the translators? (it will be displayed in Weblate)

no

> * [optional] do you need us to activate any specific checks? (this is a
> setting per component [3])

no

> * [optional] do you need us to automatically detect new translation files?
> (typical usecase: website translation with one translation file per page)

no

Comment 2 jibecfed 2020-03-03 08:43:44 UTC
thanks for your answer, I locked your project Zanata.

What prevents you to merge latest translations?
it looks like you already have the following script:
https://github.com/libguestfs/hivex/blob/master/po/zanata-pull.sh

You may use the python client, which may be easier to install and use the command `zanata pull`.
Once done, I'll do the Weblate configuration and set you as admin. Please make sure to connect once, and to provide me your username.

Comment 3 jibecfed 2020-08-27 07:26:31 UTC
Be carefull, Zanata will be removed in a few weeks now: https://bugzilla.redhat.com/show_bug.cgi?id=1854445

Comment 4 Richard W.M. Jones 2020-08-27 07:36:35 UTC
OK I pulled the latest translations and have updated hivex.

Comment 5 jibecfed 2020-09-06 07:41:39 UTC
master component created: https://translate.fedoraproject.org/projects/hivex/
you may want to add rhel branches

rjones is admin
have a nice day,


Note You need to log in before you can comment on or make changes to this bug.